The system monitor plugin and netspeed plugin inverts upside-down continuously

Bug #526742 reported by sgrandi on 2010-02-23
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
cairo-dock-plug-ins (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: cairo-dock-plug-ins

ubuntu 9.10.
Detached from dock, on desktop, the two plugins has a strange behaviour, "flichers" upside-down quickly for a while randomly (sometimes moving the mouse, sometimes doing nothing.

Related branches

I don't see very well, could you please provide a video or a screenshot of
the problem ?

2010/2/24 sgrandi <email address hidden>

> Public bug reported:
>
> Binary package hint: cairo-dock-plug-ins
>
> ubuntu 9.10.
> Detached from dock, on desktop, the two plugins has a strange behaviour,
> "flichers" upside-down quickly for a while randomly (sometimes moving the
> mouse, sometimes doing nothing.
>
> ** Affects: cairo-dock-plug-ins (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> The system monitor plugin and netspeed plugin inverts upside-down
> continuously
> https://bugs.launchpad.net/bugs/526742
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to cairo-dock-plug-ins in ubuntu.
>
> Status in “cairo-dock-plug-ins” package in Ubuntu: New
>
> Bug description:
> Binary package hint: cairo-dock-plug-ins
>
> ubuntu 9.10.
> Detached from dock, on desktop, the two plugins has a strange behaviour,
> "flichers" upside-down quickly for a while randomly (sometimes moving the
> mouse, sometimes doing nothing.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> More help : https://help.launchpad.net/ListHelp
>

I uploaded a video in youtube:

http://www.youtube.com/user/SSGRANDI#p/a/u/0/RQY5Z7IvovY

 Stefano Grandi
Mobile 3487443217

----- Messaggio originale -----
Da: Fabounet <email address hidden>
A: <email address hidden>
Inviato: Mer 24 febbraio 2010, 12:26:10
Oggetto: Re: [Cairo-dock-team] [Bug 526742] [NEW] The system monitor plugin and netspeed plugin inverts upside-down continuously

I don't see very well, could you please provide a video or a screenshot of
the problem ?

2010/2/24 sgrandi <email address hidden>

> Public bug reported:
>
> Binary package hint: cairo-dock-plug-ins
>
> ubuntu 9.10.
> Detached from dock, on desktop, the two plugins has a strange behaviour,
> "flichers" upside-down quickly for a while randomly (sometimes moving the
> mouse, sometimes doing nothing.
>
> ** Affects: cairo-dock-plug-ins (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> The system monitor plugin and netspeed plugin inverts upside-down
> continuously
> https://bugs.launchpad.net/bugs/526742
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to cairo-dock-plug-ins in ubuntu.
>
> Status in “cairo-dock-plug-ins” package in Ubuntu: New
>
> Bug description:
> Binary package hint: cairo-dock-plug-ins
>
> ubuntu 9.10.
> Detached from dock, on desktop, the two plugins has a strange behaviour,
> "flichers" upside-down quickly for a while randomly (sometimes moving the
> mouse, sometimes doing nothing.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> More help : https://help.launchpad.net/ListHelp
>

--
The system monitor plugin and netspeed plugin inverts upside-down continuously
https://bugs.launchpad.net/bugs/526742
You received this bug notification because you are a direct subscriber
of the bug.

Status in “cairo-dock-plug-ins” package in Ubuntu: New

Bug description:
Binary package hint: cairo-dock-plug-ins

ubuntu 9.10.
Detached from dock, on desktop, the two plugins has a strange behaviour, "flichers" upside-down quickly for a while randomly (sometimes moving the mouse, sometimes doing nothing.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/cairo-dock-plug-ins/+bug/526742/+subscribe

Matthieu Baerts (matttbe) wrote :

It's a nice bug :)

Can you precise what's your distribution (+version), your graphic card and its drivers and if you have this bug when you launch Cairo-Dock with these commands :
  $ cairo-dock -o
  $ cairo-dock -O
  $ cairo-dock -c
(And also, can you join a text file with the output when you launch CD with -o and -O)

Thanks !

PS: The corresponding video in ogv : http://videobin.org/+wo/12b.html

Yes, it's a very strange bug :)

1) I launch cairo with "cairo-dock -o"
2) I am using Ubuntu 9.10
3) Graphic card is ATI Mobility Radeon HD 4500, i am using the latest driver from ATI/AMD
4) attached the text output of :
 $ cairo-dock -o - output1.txt
  $ cairo-dock -O - output2.txt
  $ cairo-dock -c -output3.txt

Thanks for the videonbin !

stefano

----- Messaggio originale -----
Da: Matthieu Baerts <email address hidden>
A: <email address hidden>
Inviato: Mer 24 febbraio 2010, 22:54:37
Oggetto: [Bug 526742] Re: The system monitor plugin and netspeed plugin inverts upside-down continuously

It's a nice bug :)

Can you precise what's your distribution (+version), your graphic card and its drivers and if you have this bug when you launch Cairo-Dock with these commands :
  $ cairo-dock -o
  $ cairo-dock -O
  $ cairo-dock -c
(And also, can you join a text file with the output when you launch CD with -o and -O)

Thanks !

PS: The corresponding video in ogv : http://videobin.org/+wo/12b.html

--
The system monitor plugin and netspeed plugin inverts upside-down continuously
https://bugs.launchpad.net/bugs/526742
You received this bug notification because you are a direct subscriber
of the bug.

Status in “cairo-dock-plug-ins” package in Ubuntu: New

Bug description:
Binary package hint: cairo-dock-plug-ins

ubuntu 9.10.
Detached from dock, on desktop, the two plugins has a strange behaviour, "flichers" upside-down  quickly for a while randomly (sometimes moving the mouse, sometimes doing nothing.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/cairo-dock-plug-ins/+bug/526742/+subscribe

Matthieu Baerts (matttbe) wrote :

Hello,

Do you already have this bug with the latest stable release?
Do you add the setting to "reserve the space" around the applet? (right click on it)

sgrandi (stefano-grandi) wrote :

Yes, I already have this bug with the latest release.

I didn't add the setting "reserve the space".

----- Messaggio originale -----
Da: Matthieu Baerts <email address hidden>
A: <email address hidden>
Inviato: Dom 28 febbraio 2010, 23:16:26
Oggetto: [Bug 526742] Re: The system monitor plugin and netspeed plugin inverts upside-down continuously

Hello,

Do you already have this bug with the latest stable release?
Do you add the setting to "reserve the space" around the applet? (right click on it)

--
The system monitor plugin and netspeed plugin inverts upside-down continuously
https://bugs.launchpad.net/bugs/526742
You received this bug notification because you are a direct subscriber
of the bug.

Status in “cairo-dock-plug-ins” package in Ubuntu: New

Bug description:
Binary package hint: cairo-dock-plug-ins

ubuntu 9.10.
Detached from dock, on desktop, the two plugins has a strange behaviour, "flichers" upside-down quickly for a while randomly (sometimes moving the mouse, sometimes doing nothing.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/cairo-dock-plug-ins/+bug/526742/+subscribe

sgrandi (stefano-grandi) wrote :

Another info that could be useful: If I change the applet size (also increasign by 1 only pixel) and save the setting, the applet stops "flickering".

When i restart the computer the applet starts again "flickering".

bye

Matthieu Baerts (matttbe) wrote :

Ok
Same bug with another theme ?
Maybe is there another desklet that has the option "reserve space".

And if you place this desklet on another side ?

sgrandi (stefano-grandi) wrote :

No,I also tried to remove every applet and leaving only the system monitor, same result.

I have the same strange behaviour with other three themes on system monitor.

"other three themes"
do you mean you have this bug with any theme that display the value on the
desklet directly ?
does it also occur with some more simple themes, like Turbo or Radium ?

2010/3/1 sgrandi <email address hidden>

> No,I also tried to remove every applet and leaving only the system
> monitor, same result.
>
> I have the same strange behaviour with other three themes on system
> monitor.
>
> --
> The system monitor plugin and netspeed plugin inverts upside-down
> continuously
> https://bugs.launchpad.net/bugs/526742
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to cairo-dock-plug-ins in ubuntu.
>
> Status in “cairo-dock-plug-ins” package in Ubuntu: New
>
> Bug description:
> Binary package hint: cairo-dock-plug-ins
>
> ubuntu 9.10.
> Detached from dock, on desktop, the two plugins has a strange behaviour,
> "flichers" upside-down quickly for a while randomly (sometimes moving the
> mouse, sometimes doing nothing.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> More help : https://help.launchpad.net/ListHelp
>

Using the Radium theme (without values on desklet) I have the same strange behaviour.

regards

 Stefano Grandi
Mobile 3487443217

----- Messaggio originale -----
Da: Fabounet <email address hidden>
A: <email address hidden>
Inviato: Lun 1 marzo 2010, 09:46:14
Oggetto: Re: [Cairo-dock-team] [Bug 526742] Re: The system monitor plugin and netspeed plugin inverts upside-down continuously

"other three themes"
do you mean you have this bug with any theme that display the value on the
desklet directly ?
does it also occur with some more simple themes, like Turbo or Radium ?

2010/3/1 sgrandi <email address hidden>

> No,I also tried to remove every applet and leaving only the system
> monitor, same result.
>
> I have the same strange behaviour with other three themes on system
> monitor.
>
> --
> The system monitor plugin and netspeed plugin inverts upside-down
> continuously
> https://bugs.launchpad.net/bugs/526742
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to cairo-dock-plug-ins in ubuntu.
>
> Status in “cairo-dock-plug-ins” package in Ubuntu: New
>
> Bug description:
> Binary package hint: cairo-dock-plug-ins
>
> ubuntu 9.10.
> Detached from dock, on desktop, the two plugins has a strange behaviour,
> "flichers" upside-down quickly for a while randomly (sometimes moving the
> mouse, sometimes doing nothing.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> More help : https://help.launchpad.net/ListHelp
>

--
The system monitor plugin and netspeed plugin inverts upside-down continuously
https://bugs.launchpad.net/bugs/526742
You received this bug notification because you are a direct subscriber
of the bug.

Status in “cairo-dock-plug-ins” package in Ubuntu: New

Bug description:
Binary package hint: cairo-dock-plug-ins

ubuntu 9.10.
Detached from dock, on desktop, the two plugins has a strange behaviour, "flichers" upside-down quickly for a while randomly (sometimes moving the mouse, sometimes doing nothing.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/cairo-dock-plug-ins/+bug/526742/+subscribe

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 2.1.3-10-lucid-0ubuntu1

---------------
cairo-dock-plug-ins (2.1.3-10-lucid-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream release (LP: #568083)
  * Fixed some bugs:
   - LP: #455261 (Cannot Modify / Add Custom Launchers)
   - LP: #449422 (Cairo-Dock resize problem)
   - LP: #489349 (showDesktop Applet only seems to work
          every second time you click on it)
   - LP: #526742 (The system monitor plugin and netspeed
          plugin inverts upside-down continuously)
   - Dbus: Used the right DBus API of Cairo-Dock (2.1.3 stable)
   - Used icons of the system
   - alsaMixer: fixed a crash when read several xml data
   - musicPlayer:
    * Removed some annoying warnings
    * Banshee-plugin: fixed some bugs due to the new version (1.4.0)

  [ Iain Lane ]
  * debian/watch: Update to match against current version
 -- Matthieu Baerts (matttbe) <email address hidden> Tue, 20 Apr 2010 01:52:21 +0200

Changed in cairo-dock-plug-ins (Ubuntu):
status: New → Fix Released
sgrandi (stefano-grandi) wrote :

I have upgraded my notebook to Lucid 10.04 and to cairo-dock 2.1.3.10, but I have the same bug.

regards stefano

Matthieu Baerts (matttbe) wrote :

@ sgrandi, can you try with the default theme?
   $ mv ~/.config/cairo-dock/ ~/.config/cairo-dock_bak/
(and to revert back: $ mv ~/.config/cairo-dock_bak/ ~/.config/cairo-dock/ )

If you have this bug only with your theme, can you post a new comment with your theme?

I have the same bug also with the standard theme.

Thanks

----- Messaggio originale -----
Da: Matthieu Baerts <email address hidden>
A: <email address hidden>
Inviato: Mar 4 maggio 2010, 18:10:38
Oggetto: [Bug 526742] Re: The system monitor plugin and netspeed plugin inverts upside-down continuously

@ sgrandi, can you try with the default theme?
   $ mv ~/.config/cairo-dock/ ~/.config/cairo-dock_bak/
(and to revert back: $ mv ~/.config/cairo-dock_bak/ ~/.config/cairo-dock/ )

If you have this bug only with your theme, can you post a new comment
with your theme?

--
The system monitor plugin and netspeed plugin inverts upside-down continuously
https://bugs.launchpad.net/bugs/526742
You received this bug notification because you are a direct subscriber
of the bug.

Status in “cairo-dock-plug-ins” package in Ubuntu: Fix Released

Bug description:
Binary package hint: cairo-dock-plug-ins

ubuntu 9.10.
Detached from dock, on desktop, the two plugins has a strange behaviour, "flichers" upside-down quickly for a while randomly (sometimes moving the mouse, sometimes doing nothing.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/cairo-dock-plug-ins/+bug/526742/+subscribe

HansHook (hans-hook) wrote :

This bug is constantly with me in Ubuntu 10.04 with latest version of cairo-doc from ppa (2.1.3-10-lucid-0ubuntu2).
It occurs all the time on my Ferrai One netbook but not on any other computers.
This indicates to me either low cpu (amd 2x1.2 GHz) or ATI graphics (i otherwise mostly use nvidia cards) is part of it.
(I also remember seeing it on an Asus 901 netbook that unfortunately is not with me any more.)

Attachis is a screendump.

I really like this bug fixed and may help in any way usefull!

Regards

Hans H

thanks for reporting it.
It seems now that only ATI cards have this bug.
do you have it in cairo mode (non-opengl) ?
also, did you try with the exact same theme on different PCs ? (you can copy
the folder ~/.config/cairo-dock in the other PC to be sure to have the same
config)
Another thing to do would be to test with the latest version (2.2.0, on our
PPA), because we switched to FBOs (which are supposed to be better handled
by graphic drivers).

2010/8/19 HansHook <email address hidden>

> This bug is constantly with me in Ubuntu 10.04 with latest version of
> cairo-doc from ppa (2.1.3-10-lucid-0ubuntu2).
> It occurs all the time on my Ferrai One netbook but not on any other
> computers.
> This indicates to me either low cpu (amd 2x1.2 GHz) or ATI graphics (i
> otherwise mostly use nvidia cards) is part of it.
> (I also remember seeing it on an Asus 901 netbook that unfortunately is not
> with me any more.)
>
> Attachis is a screendump.
>
> I really like this bug fixed and may help in any way usefull!
>
> Regards
>
> Hans H
>
> ** Attachment added: "Skärmbild.png"
>
> https://bugs.launchpad.net/ubuntu/+source/cairo-dock-plug-ins/+bug/526742/+attachment/1500005/+files/Sk%C3%A4rmbild.png
>
> --
> The system monitor plugin and netspeed plugin inverts upside-down
> continuously
> https://bugs.launchpad.net/bugs/526742
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to cairo-dock-plug-ins in ubuntu.
>
> Status in “cairo-dock-plug-ins” package in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: cairo-dock-plug-ins
>
> ubuntu 9.10.
> Detached from dock, on desktop, the two plugins has a strange behaviour,
> "flichers" upside-down quickly for a while randomly (sometimes moving the
> mouse, sometimes doing nothing.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> More help : https://help.launchpad.net/ListHelp
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers